<script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
<script id="MathJax-script" async src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
<script src="../qworld/include/mathjax_macro.js"></script>

<script> qworld_header("Operatori quantistici su un qubit a valori reali");  </script>

<p align="right" style="font-family:monospace;"><i>redatto da <a href='http://abu.lu.lv' target="_blank">Abuzer Yakaryilmaz<a/> (<a href="http://qworld.lu.lv/index.php/qlatvia/" target="_blank">QLatvia</a>)</i></p>
<hr>

<br><b>Convention:</b> <i>Il verso di default per le rotazioni è antiorario.</i><br><br>

<hr>

<script> start_div();  </script>
La rotazione sulla circonferenza unitaria di angolo $ \theta $ è indicata come $ R(\theta) $. Qual è la forma matriciale di $ R(\theta) $?
<br><br>
<i>(Suggerimento: Applicare ogni matrice candidata agli stati $ \ket{0} $ e $ \ket{1} $ per verificare se il risultato corrisponde allo stato ruotato.)</i>
<br><br>
<script> 
	print_answer(0,"$ \\mymatrix{rr}{ \\sin\\theta & -\\cos\\theta \\\\ \\cos\\theta & \\sin\\theta } $");
	print_answer(1,"$ \\mymatrix{rr}{ \\cos\\theta & -\\sin\\theta \\\\ \\sin\\theta & \\cos\\theta } $");
	print_answer(0,"$ \\mymatrix{rr}{ \\sin\\theta & \\cos\\theta \\\\ -\\cos\\theta & \\sin\\theta } $");
	print_answer(0,"$ \\mymatrix{rr}{ \\cos\\theta & \\sin\\theta \\\\ -\\sin\\theta & \\cos\\theta } $");
	print_answer(0,"$ \\mymatrix{rr}{ \\cos\\theta & \\sin\\theta \\\\ \\sin\\theta & -\\cos\\theta } $");
	print_check_now();
	end_div();
</script>
<br>

<script> start_div();  </script>
Quale delle seguenti matrici rappresenta la rotazione di angolo $ \frac{\pi}{6} $ sulla circonferenza unitaria?
<br><br>
<script> 
	print_answer(0,"$ \\hadamard $");
	print_answer(0,"$ \\X $");
	print_answer(0,"$ \\mymatrix{rr}{ \\frac{1}{2} & \\frac{\\sqrt{3}}{2} \\\\ \\frac{\\sqrt{3}}{2} & - \\frac{1}{2} } $");
	print_answer(1,"$ \\mymatrix{rr}{ \\frac{\\sqrt{3}}{2} & - \\frac{1}{2} \\\\ \\frac{1}{2} & \\frac{\\sqrt{3}}{2} } $");
	print_answer(0,"$ \\mymatrix{rr}{ \\frac{\\sqrt{3}}{2} &  \\frac{1}{2} \\\\ - \\frac{1}{2} & \\frac{\\sqrt{3}}{2} } $");
	print_check_now();
	end_div();
</script>
<br>

<script> start_div();  </script>
Se $ R(\theta) = \mymatrix{rr}{ -\sqrttwo & -\sqrttwo \\ \sqrttwo & -\sqrttwo } $, qual è $ \theta $?
<br><br>
<script> 
	print_answer(0,"$ \\dfrac{\\pi}{4} $");
	print_answer(1,"$ \\dfrac{3\\pi}{4} $");
	print_answer(0,"$ \\dfrac{5\\pi}{4} $");
	print_answer(0,"$ \\dfrac{7\\pi}{4} $");
	print_answer(0,"$ \\dfrac{-\\pi}{4} $");
	print_check_now();
	end_div();
</script>
<br>

<script> start_div();  </script>
Se $ R(\theta) = \mymatrix{rr}{ -\sqrttwo & \sqrttwo \\ -\sqrttwo & -\sqrttwo } $, quanto vale $ \theta $?
<br><br>
<script> 
	print_answer(0,"$ \\dfrac{\\pi}{4} $");
	print_answer(0,"$ \\dfrac{3\\pi}{4} $");
	print_answer(1,"$ \\dfrac{5\\pi}{4} $");
	print_answer(0,"$ \\dfrac{7\\pi}{4} $");
	print_answer(0,"$ \\dfrac{-\\pi}{4} $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Se $ R(\theta) $ viene applicato a un qubit inizialmente nello stato $ \ket{0} $ per tre volte, qual è lo stato finale?
<br><br>
<script> 
	print_answer(1,"$ \\myrvector{ \\cos (3\\theta) \\\\ \\sin (3\\theta) } $");
	print_answer(0,"$ \\myrvector{ \\cos (3\\theta) \\\\ -\\sin (3\\theta) } $");
	print_answer(0,"$ \\myrvector{ \\sin (3\\theta) \\\\ \\cos (3\\theta) } $");
	print_answer(0,"$ \\myrvector{ \\sin (3\\theta) \\\\ -\\cos (3\\theta) } $");
	print_answer(0,"$ \\myrvector{ -\\sin (3\\theta) \\\\ \\cos (3\\theta) } $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Se $ R(-\theta) $ viene applicato a un qubit inizialmente nello stato $ \ket{0} $ per tre volte, qual è lo stato finale?
<br><br>
<script> 
	print_answer(0,"$ \\myrvector{ \\cos (3\\theta) \\\\ \\sin (3\\theta) } $");
	print_answer(1,"$ \\myrvector{ \\cos (3\\theta) \\\\ -\\sin (3\\theta) } $");
	print_answer(0,"$ \\myrvector{ \\sin (3\\theta) \\\\ \\cos (3\\theta) } $");
	print_answer(0,"$ \\myrvector{ \\sin (3\\theta) \\\\ -\\cos (3\\theta) } $");
	print_answer(0,"$ \\myrvector{ -\\sin (3\\theta) \\\\ \\cos (3\\theta) } $");
	print_check_now();
	end_div();
</script>
<br>

<script> start_div();  </script>
Se $ R(\theta) $ viene applicato a un qubit inizialmente nello stato $ \ket{1} $ per due volte, qual è lo stato finale?
<br><br>
<script> 
	print_answer(0,"$ \\myrvector{ \\cos (2\\theta) \\\\ \\sin (2\\theta) } $");
	print_answer(0,"$ \\myrvector{ \\cos (2\\theta) \\\\ -\\sin (2\\theta) } $");
	print_answer(0,"$ \\myrvector{ \\sin (2\\theta) \\\\ \\cos (2\\theta) } $");
	print_answer(0,"$ \\myrvector{ \\sin (2\\theta) \\\\ -\\cos (2\\theta) } $");
	print_answer(1,"$ \\myrvector{ -\\sin (2\\theta) \\\\ \\cos (2\\theta) } $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
L'operatore di rotazione $ R(\frac{3\pi}{7}) $ viene applicato a un qubit inizialmente nello stato $ \ket{0} $ per $n$ volte. Se lo stato finale è $ \ket{0} $, quale dei seguenti può essere un valore per $ n $?
<br><br>
<script> 
	print_answer(0,"$ 3 $");
	print_answer(0,"$ 9 $");
	print_answer(0,"$ 10 $");
	print_answer(1,"$ 14 $");
	print_answer(0,"$ 21 $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Abbiamo un qubit nello stato $ \ket{0} $.Vengono applicate le rotazioni $ R(\frac{\pi}{3}) $ e $ R(\frac{\pi}{6}) $ per $ m $ e $ n $ volte, rispettivamente. Se lo stato finale è $ -\ket{1} $, quali possono essere i valori di $ (m,n) $?
<br><br>
<script> 
	print_answer(0,"$ (1,1) $");
	print_answer(0,"$ (2,2) $");
	print_answer(0,"$ (1,2) $");
	print_answer(0,"$ (2,1) $");
	print_answer(1,"$ (3,3) $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Abbiamo un qubit nello stato $ \ket{0} $. Vengono applicate le rotazioni $ R(\frac{\pi}{3}) $ e $ R(-\frac{\pi}{6}) $ per $ m $ e $ n $ volte, rispettivamente. Se lo stato finale è $ -\ket{1} $, quali possono essere i valori di $ (m,n) $?
<br><br>
<script> 
	print_answer(0,"$ (20,11) $");
	print_answer(0,"$ (20,9) $");
	print_answer(1,"$ (20,7) $");
	print_answer(0,"$ (20,5) $");
	print_answer(0,"$ (20,3) $");
	print_check_now();
	end_div();
</script>
<br>

<script> start_div();  </script>
La riflessione sulla circonferenza unitaria avente l'asse di riflessione che forma un angolo $ \theta $ viene indicata come $ Ref(\theta) $. Qual è la forma matriciale di $ Ref(\theta) $?
<br><br>
<i>(Suggerimento: Applicare ogni matrice candidata agli stati $ \ket{0} $ e $ \ket{1} $ per verificare se il risultato corrisponde allo stato riflesso.)</i>
<br><br>
<script> 
	print_answer(0,"$ \\mymatrix{rr}{ \\sin (2\\theta) & -\\cos (2\\theta) \\\\ \\cos (2\\theta) & \\sin (2\\theta) } $");
	print_answer(0,"$ \\mymatrix{rr}{ \\cos (2\\theta) & -\\sin (2\\theta) \\\\ \\sin (2\\theta) & \\cos (2\\theta) } $");
	print_answer(0,"$ \\mymatrix{rr}{ \\sin (2\\theta) & \\cos (2\\theta) \\\\ -\\cos (2\\theta) & \\sin (2\\theta) } $");
	print_br();
	print_answer(0,"$ \\mymatrix{rr}{ \\cos (2\\theta) & \\sin (2\\theta) \\\\ -\\sin (2\\theta) & \\cos (2\\theta) } $");
	print_answer(1,"$ \\mymatrix{rr}{ \\cos (2\\theta) & \\sin (2\\theta) \\\\ \\sin (2\\theta) & -\\cos (2\\theta) } $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Se $ Ref(\theta) = \hadamard $, quanto vale $ \theta $?
<br><br>
<i>(Suggerimento: Applicare ogni matrice candidata agli stati $ \ket{0} $ e $ \ket{1} $ per verificare se il risultato corrisponde allo stato riflesso.)</i>
<br><br>
<script> 
	print_answer(0,"$ \\pi $");
	print_answer(0,"$ \\frac{\\pi}{2} $");
	print_answer(0,"$ \\frac{\\pi}{4} $");
	print_answer(1,"$ \\frac{\\pi}{8} $");
	print_answer(0,"$ 0 $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Se $ Ref(\theta) = \X $, quanto vale $ \theta $?
<br><br>
<i>(Suggerimento: Applicare ogni matrice candidata agli stati $ \ket{0} $ e $ \ket{1} $ per verificare se il risultato corrisponde allo stato riflesso.)</i>
<br><br>
<script> 
	print_answer(0,"$ \\pi $");
	print_answer(0,"$ \\frac{\\pi}{2} $");
	print_answer(1,"$ \\frac{\\pi}{4} $");
	print_answer(0,"$ \\frac{\\pi}{8} $");
	print_answer(0,"$ 0 $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Se $ Ref(\theta) = \Z $, quanto vale $ \theta $?
<br><br>
<i>(Suggerimento: Applicare ogni matrice candidata agli stati $ \ket{0} $ e $ \ket{1} $ per verificare se il risultato corrisponde allo stato riflesso.)</i>
<br><br>
<script> 
	print_answer(0,"$ \\frac{\\pi}{2} $");
	print_answer(0,"$ \\frac{\\pi}{3} $");
	print_answer(0,"$ \\frac{\\pi}{4} $");
	print_answer(0,"$ \\frac{\\pi}{8} $");
	print_answer(1,"$ 0 $");
	print_check_now();
	end_div();
</script>
<br>



<script> start_div();  </script>
Qual è la forma matriciale della riflessione che ha come asse di riflessione $ y=-x $?
<br><br>
<script> 
	print_answer(0,"$ \\mymatrix{rr}{ 1 & 0 \\\\ 0 & 1 } $");
	print_answer(0,"$ \\mymatrix{rr}{ 0 & 1 \\\\ 1 & 0 } $");
	print_answer(0,"$ \\mymatrix{rr}{ 1 & 0 \\\\ 0 & -1 } $");
	print_answer(1,"$ \\mymatrix{rr}{ 0 & -1 \\\\ -1 & 0 } $");
	print_answer(0,"$ \\mymatrix{rr}{ -1 & 0 \\\\ 0 & -1 } $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Quale delle espressioni seguenti è identica a $ \mymatrix{rr}{ -1 & 0 \\ 0 & 1 } $, dove $ Z = \Z $ ?
<br><br>
<i>(Suggerimento: Provare con ogni candidato se esso mappa lo stato $ \myvector{x \\ y} $ nello stato $ \myvector{ -x \\ y } $.) </i>
<br><br>
<script> 
	print_answer(0,"$ ZZ $");
	print_answer(0,"$ ZX $");
	print_answer(0,"$ XZ $");
	print_answer(1,"$ XZX $");
	print_answer(0,"$ ZXZ $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Quanto vale $ Ref(\theta) \cdot \myvector{ \cos \theta' \\ \sin \theta'  } $?
<br><br>
<script> 
	print_answer(0,"$ \\myvector{ \\cos (\\theta + \\theta')\\\\ \\sin (\\theta + \\theta') } $");
	print_answer(0,"$ \\myvector{ \\cos (\\theta - \\theta')\\\\ \\sin (\\theta - \\theta') } $");
	print_answer(1,"$ \\myvector{ \\cos (2\\theta - \\theta')\\\\ \\sin (2\\theta - \\theta') } $");
	print_answer(0,"$ \\myvector{ \\cos (-\\theta + \\theta')\\\\ \\sin (-\\theta + \\theta') } $");
	print_answer(0,"$ \\myvector{ \\cos (-2\\theta + \\theta')\\\\ \\sin (-2\\theta + \\theta')} $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Sia $ \ket{u} $ uno stato quantistico nella circonferenza unitaria con angolo $ \theta' $. Se applichiamo gli operatori $ Ref(\theta_1) $ e $ Ref(\theta_2) $ nell'ordine, quale sarà l'angolo dello stato finale?
<br><br>
<script> 
	print_answer(0,"$ \\theta_1 + \\theta_2 - \\theta' $");
	print_answer(1,"$ -2\\theta_1 + 2\\theta_2 + \\theta' $");
	print_answer(0,"$ 2\\theta_1 + 2\\theta_2 - \\theta' $");
	print_answer(0,"$ -2\\theta_1 - 2\\theta_2 + \\theta' $");
	print_answer(0,"$ 2\\theta_1 + 2\\theta_2 + \\theta' $");	
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Quale dei seguenti operatori mappa lo stato $ \myvector{\cos \theta \\ \sin \theta} $ nello stato $ \myvector{\cos (- \theta) \\ \sin (- \theta)} $?
<br><br>
<i>(Suggerimento: Determinare (i) se $ \sin \theta = \sin (-\theta) $ o meno e (ii) se $ \cos \theta = \cos (-\theta) $ o meno.) </i>
<br><br>
<script> 
	print_answer(1,"$ Z $");
	print_answer(0,"$ H $");
	print_answer(0,"$ X $");
	print_answer(0,"$ -X$");
	print_answer(0,"$ -H $");	
	print_check_now();
	end_div();
</script>
<br>

<script> start_div();  </script>
Quali dei seguenti operatori è identico a $ Ref(\theta) $?
<br><br>
<i>(Suggerimento: Ogni stato arbitrario, diciamo $ \ket{u} $, sulla circonferenza unitaria è rappresentato dal suo angolo, diciamo $ \theta' $. Trovare l'angolo di $ Ref(\theta) \ket{u} $ e confrontarlo con l'angolo formato da ogni stato quantistico ottenuto applicando gli operatori candidati.)
<br><br>
<script> 
	print_answer(0,"$ R(\\theta) X $");
	print_answer(0,"$ R(\\theta) R(-\\theta) $");
	print_answer(1,"$ R(\\theta) R(\\theta) Z  $");
	print_answer(0,"$ R(\\theta) R(\\theta) X $");
	print_answer(0,"$ X R(\\theta) X $");	
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Siano $ \ket{u_1} = \myvector{ \cos \theta_1 \\ \sin \theta_1 } $ e $ \ket{u_2} = \myvector{ \cos \theta_2 \\ \sin \theta_2 } $  due stati quantistici differenti, ove $ \theta1, \theta_2 \in (0,\pi) $. Se le probabilità di trovarsi negli stati $ \ket{0} $ per $ \ket{u_1} $ e $ \ket{u_2} $ sono le stesse, quale relazione sussiste tra $ \theta_1 $ e $ \theta_2 $?
<br><br>
<script> 
	print_answer(0,"$ | \\theta_1 - \\theta_2 | = \\dfrac{\\pi}{2} $");
	print_answer(0,"$ \\theta_1 + \\theta_2 = \\dfrac{\\pi}{2} $");
	print_answer(1,"$ \\theta_1 + \\theta_2 = \\pi $");
	print_answer(0,"$ | \\theta_1 - \\theta_2 | = \\dfrac{\\pi}{4} $");
	print_answer(0,"$ \\theta_1 + \\theta_2 = \\dfrac{3\\pi}{2} $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Quale delle seguenti coppie di stati quantistici è perfettamente distinguibile? 
<br><br>
<script> 
	print_answer(0,"$ \\myrvector{ \\sqrttwo \\\\ -\\sqrttwo } \\mbox{ e } \\myrvector{ -\\sqrttwo \\\\ \\sqrttwo } $");
	print_answer(0,"$ \\myrvector{ \\sqrttwo \\\\ \\sqrttwo } \\mbox{ e } \\myrvector{ -\\sqrttwo \\\\ -\\sqrttwo } $");
	print_answer(1,"$ \\myrvector{ \\frac{1}{\\sqrt{3}} \\\\ -\\frac{\\sqrt{2}}{\\sqrt{3}}} \\mbox{ e } \\myrvector{ -\\frac{\\sqrt{2}}{\\sqrt{3}} \\\\ -\\frac{1}{\\sqrt{3}} } $");
	print_br();
	print_answer(0,"$ \\myrvector{ \\frac{1}{\\sqrt{3}} \\\\ \\frac{\\sqrt{2}}{\\sqrt{3}}} \\mbox{ e } \\myrvector{ \\frac{1}{\\sqrt{3}} \\\\ -\\frac{\\sqrt{2}}{\\sqrt{3}}} $");
	print_answer(0,"$ \\myrvector{ \\frac{1}{\\sqrt{3}} \\\\ \\frac{\\sqrt{2}}{\\sqrt{3}}} \\mbox{ e } \\myrvector{ -\\frac{\\sqrt{2}}{\\sqrt{3}} \\\\ -\\frac{1}{\\sqrt{3}} } $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Which one of the following pairs of quantum states is perfectly distinguishable? 
<br><br>
<script> 
	print_answer(1,"$ \\mypar{ \\sqrt{\\frac{5}{7}} \\ket{0} - \\sqrt{\\frac{2}{7}}  \\ket{1} ,  -\\sqrt{\\frac{2}{7}}  \\ket{0} - \\sqrt{\\frac{5}{7}} \\ket{1} } $");
	print_br();
	print_answer(0,"$ \\mypar{ \\sqrt{\\frac{5}{7}} \\ket{0} - \\sqrt{\\frac{2}{7}}  \\ket{1} ,  -\\sqrt{\\frac{5}{7}}  \\ket{0} - \\sqrt{\\frac{2}{7}} \\ket{1} } $");
	print_br();
	print_answer(0,"$ \\mypar{ \\sqrt{\\frac{5}{7}} \\ket{0} + \\sqrt{\\frac{2}{7}}  \\ket{1} ,  -\\sqrt{\\frac{2}{7}}  \\ket{0} - \\sqrt{\\frac{5}{7}} \\ket{1} } $");
	print_br();
	print_answer(0,"$ \\mypar{ \\sqrt{\\frac{5}{7}} \\ket{0} + \\sqrt{\\frac{2}{7}}  \\ket{1} ,  -\\sqrt{\\frac{5}{7}}  \\ket{0} - \\sqrt{\\frac{2}{7}} \\ket{1} } $");
	print_br();
	print_answer(0,"$ \\mypar{ \\sqrt{\\frac{5}{7}} \\ket{0}+\\sqrt{\\frac{2}{7}}  \\ket{1} , \\sqrt{\\frac{5}{7}}  \\ket{0} - \\sqrt{\\frac{2}{7}} \\ket{1} } $");
	print_br();
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Quale delle seguenti coppie di stati quantistici non può essere distinguibile? 
<br><br>
<script> 
	print_answer(0,"$ \\ket{0} \\mbox{ e } \\ket{1} $");
	print_answer(0,"$ \\ket{0} \\mbox{ e }-\\ket{1} $");
	print_answer(1,"$ -\\ket{1} \\mbox{ e } \\ket{1} $");
	print_answer(0,"$ \\ket{+} \\mbox{ e } \\ket{-} $");
	print_answer(0,"$ -\\ket{+} \\mbox{ e } \\ket{-} $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Quale delle seguenti coppie di stati quantistici non può essere distinguibile? 
<br><br>
<script> 
	print_answer(0,"$ \\mypar{ \\sqrt{\\frac{5}{7}} \\ket{0} - \\sqrt{\\frac{2}{7}}  \\ket{1} ,  -\\sqrt{\\frac{2}{7}}  \\ket{0} - \\sqrt{\\frac{5}{7}} \\ket{1} } $");
	print_br();
	print_answer(0,"$ \\mypar{ \\sqrt{\\frac{5}{7}} \\ket{0} - \\sqrt{\\frac{2}{7}}  \\ket{1} ,  -\\sqrt{\\frac{5}{7}}  \\ket{0} - \\sqrt{\\frac{2}{7}} \\ket{1} } $");
	print_br();
	print_answer(0,"$ \\mypar{ \\sqrt{\\frac{5}{7}} \\ket{0} + \\sqrt{\\frac{2}{7}}  \\ket{1} ,  -\\sqrt{\\frac{2}{7}}  \\ket{0} - \\sqrt{\\frac{5}{7}} \\ket{1} } $");
	print_br();
	print_answer(1,"$ \\mypar{ \\sqrt{\\frac{5}{7}} \\ket{0} + \\sqrt{\\frac{2}{7}}  \\ket{1} ,  -\\sqrt{\\frac{5}{7}}  \\ket{0} - \\sqrt{\\frac{2}{7}} \\ket{1} } $");
	print_br();
	print_answer(0,"$ \\mypar{ \\sqrt{\\frac{5}{7}} \\ket{0}+\\sqrt{\\frac{2}{7}}  \\ket{1} , \\sqrt{\\frac{5}{7}}  \\ket{0} - \\sqrt{\\frac{2}{7}} \\ket{1} } $");
	print_br();
	print_check_now();
	end_div();
</script>
<br>

<script>
	print_check_all(); 
	inialize_user_answers()
</script>

